---
schema_version: "1"
id: c37457320e9871703933fc821932db78e22ced37a8444289f2a42f70341165d7
title: Chatter Feeds Connect REST API
collection: developer
version: current
locale: en-us
portal_url: https://docs.salesforce.com/developer/current/en-us/connect-rest/connect-rest-api/references/generated-api-specs/connect-rest-api-chatter-feeds.md
canonical_url: https://developer.salesforce.com/docs/platform/connect-rest-api/references/connect-rest-api-chatter-feeds
source_site: developer.salesforce.com
content_type: documentation
content_hash: c1020eae40293f9489f67eb8f65e776b5461edab15863037e4dd9346fe730482
products:
  - Connect REST API Developer Guide
  - Connect REST APIs
---
Chatter Feeds Connect REST API

# Chatter Feeds Connect REST API

> **Note**: The API Reference has a new three-panel layout. Browse grouped endpoints on the left, review endpoint details in the center, and access examples on the right.

These REST API resources require Chatter and have a per user, per application, per hour rate limit. This rate limit is different from other Connect REST API resources. When you exceed the rate limit, Chatter REST API resources return a 503 Service Unavailable error code.

**Important**: Where possible, we changed noninclusive terms to align with our company value of Equality. We maintained certain terms to avoid any effect on customer implementations.

**Version:** v68.0

## Servers

*   `https://{MyDomainName}.my.salesforce.com/services/data/v68.0` API server for your Salesforce org.
    *   ``MyDomainName (default None) Your org's My Domain name, which is used as a subdomain for the URLs that Salesforce uses to serve your org. For example, if your Lightning URL is `https://yourcompanyname.lightning.force.com`, then your My Domain name is `yourcompanyname`. Find your My Domain name and login URL on the My Domain page in Setup, or use the `getMyDomainName()` method in the Apex Domain class.``

## Tags

### Bookmarks Feed Resources

The bookmarks feed contains feed elements saved as bookmarks by the context user.

To bookmark an item, use PATCH with the [Feed Elements Capability, Bookmarks](/docs/platform/connect-rest-api/references/connect-rest-api-chatter-feeds#tag/Feed-Elements-Resources/operation/getBookmarksCapability) resource and the `isBookmarkedByCurrentUser` parameter. For example:

```
/chatter/feed-elements/0D5D0000000Ir6zKAC/capabilities/bookmarks?isBookmarkedByCurrentUser=true
```

### Comments Resources

Get information about, edit, like, upvote, verify, or delete a comment. Determine whether the context user can edit a comment.

### Company Feed Resources

The company feed contains all feed elements and comments from an entire company.

The company feed includes posts and comments from:

*   People in the company, the ones a user follows and the ones a user doesn’t follow
*   Public groups, including the ones a user is not a member of
*   Private groups a user is a member of
*   Updates for records and fields that an administrator configured for feed tracking, including the ones a user is not following. However, a user only sees updates for records they are allowed to access.

These resources are not available for communities.

### Direct Messages Feed Resources

Get the URL to the context user's direct messages feed and a page of feed elements. Get all the feed elements for the context user's direct messages.

### Draft Feed Resources

The draft feed contains all the feed elements from the context user's drafts.

### Experience Cloud Site Comments Moderation Resources

Get information about whether a user flagged a comment as inappropriate. Moderators can get the number of times members flagged a comment. Also, flag a comment as inappropriate or delete flags.

### Experience Cloud Site Direct Message Moderation Feed Resources

The Experience Cloud site direct message moderation feed contains direct messages that are flagged for moderation. This feed is available only to users with Moderate Experiences Chatter Messages permissions.

### Experience Cloud Site Home Feed Resources

The Experience Cloud site home feed contains all feed elements and comments from the Experience Cloud site home.

### Experience Cloud Site Moderation Feed Resources

The Experience Cloud site moderation feed contains feed elements and comments that have been flagged for moderation in an Experience Cloud site. This feed is available only to users with the Moderate Experiences Feeds permission.

### Favorites Feed Resources

The favorite feed contains favorites saved by the context user. Favorites are feed searches, list views, and topics that the context user has added as a Chatter favorite.

### Feed Elements Resources

Access, edit, post, search, and delete feed elements. Access a feed element's capabilities, including bundles and their feed elements.

### Feeds Resources

A list of all of the feeds the context user is able to view.

Each user may have a different set of feeds. Use this resource to determine what feeds are available. In addition, the different feeds may have unique labels as well as URLs. Use the given labels returned in this resource and avoid hard-coding any of these values.

### Files Feed Resources

The files feed contains all the feed elements that contain files posted by people or groups that the context user follows.

### Filter Feed Resources

The filter feed is the news feed filtered to contain feed elements whose parent is a specified object type.

### Groups Feed Resources

The groups feed contains all feed elements from all groups the context user either owns or is a member of.

### Isolated Feed Resources

The isolated feed contains feed elements and comments that are isolated. Isolated feed elements and comments are available only to admins.

### Landing Feed Resources

Get information about the landing feed and a page of feed elements.

### Mute Feed Resources

The mute feed contains feed elements that the context user muted.

### News Feed Resources

The news feed contains feed elements of interest to the context user. You can post feed items to the news feed.

**Note**: To match the feed displayed in the Chatter UI, the composition of this feed may change between releases.

### Pending Review Feed Resources

The pending review feed contains feed elements and comments that are pending review.

### People Feed Resources

The people feed contains all feed elements posted by all people the context user follows.

### Record Feed Resources

The feed of the specified record, which could be a group, person, object, file and so on. You can post feed items to the record feed. You can get another user’s record feed.

### Streams Feed Resources

The streams feed contains all feed elements from any combination of up to 25 people, groups, records, and topics that the context user subscribes to in the stream.

### To Feed Resources

The to feed contains all @mentions of the context user and posts others have made to the context user's feed.

### Topics Feed Resources

The topics feed contains all the feed elements for a topic.

### User Profile Feed Resources

The user profile feed contains feed elements created by the user, parented by the user, and where the user is mentioned. In Experience Cloud sites only, this feed also contains feed elements on which the user commented. This feed is different than the news feed, which returns more feed items, including group updates. You can post to the user profile feed. You can get another user's user profile feed.

**Note**: To match the feed displayed in the Chatter UI, the composition of this feed may change between releases.

## Operations

### GET Comments, Batch

`GET /chatter/comments/batch/{commentIds}`

Operation ID: `getCommentBatch`. Tags: Comments Resources.

Returns information about comments in batch.

Get information about a comma-separated list of up to 100 comments.

_Available in: v42.0_

#### Experience Cloud site path

`/connect/communities/{communityId}/chatter/comments/batch/{commentIds}`

_Available in: v42.0_

#### Parameters

*   `commentIds` (path, array of string (Id), required) Comma-separated list of up to 100 comment IDs.

#### Responses

*   **200** _Batch Results_ Batch results.
    
    Media type: `application/json`. Schema: `Batch`.
    

### GET Comment

`GET /chatter/comments/{commentId}`

Operation ID: `getComment`. Tags: Comments Resources.

Returns information about the specified comment. Also used to delete a comment.

Get information about a comment.

To post a comment, use [Feed Elements Capability, Comments Items](/docs/platform/connect-rest-api/references/connect-rest-api-chatter-feeds#tag/Feed-Elements-Resources/operation/getCommentsCapabilityItems).

_Available in: v23.0_

#### Experience Cloud site path

`/connect/communities/{communityId}/chatter/comments/{commentId}`

_Available in: v23.0_

#### Parameters

*   `commentId` (path, string (Id), required) ID of a comment.  
    Pattern: ^(0D7)\\w\*.

#### Responses

*   **200** _Comment_ A comment.
    
    Media type: `application/json`. Schema: `Comment`.
    

### DELETE Comment

`DELETE /chatter/comments/{commentId}`

Operation ID: `deleteComment`. Tags: Comments Resources.

Returns information about the specified comment. Also used to delete a comment.

Delete a comment.

To post a comment, use [Feed Elements Capability, Comments Items](/docs/platform/connect-rest-api/references/connect-rest-api-chatter-feeds#tag/Feed-Elements-Resources/operation/getCommentsCapabilityItems).

_Available in: v23.0_

#### Experience Cloud site path

`/connect/communities/{communityId}/chatter/comments/{commentId}`

_Available in: v23.0_

#### Parameters

*   `commentId` (path, string (Id), required) ID of a comment.  
    Pattern: ^(0D7)\\w\*.

#### Responses

*   **204** _Successful Delete_ Success

### PATCH Comment

`PATCH /chatter/comments/{commentId}`

Operation ID: `patchComment`. Tags: Comments Resources.

Returns information about the specified comment. Also used to delete a comment.

Edit a comment.

To post a comment, use [Feed Elements Capability, Comments Items](/docs/platform/connect-rest-api/references/connect-rest-api-chatter-feeds#tag/Feed-Elements-Resources/operation/getCommentsCapabilityItems).

**Note**: PATCH can’t be used to update a comment’s capabilities.

_Available in: v34.0_

#### Experience Cloud site path

`/connect/communities/{communityId}/chatter/comments/{commentId}`

_Available in: v34.0_

Returns the same response body as the [GET /chatter/comments/{commentId}](/docs/platform/connect-rest-api/references/connect-rest-api-chatter-feeds#tag/Comments-Resources/operation/getComment) operation. See that operation for the full response schema.

#### Parameters

*   `commentId` (path, string (Id), required) ID of a comment.  
    Pattern: ^(0D7)\\w\*.

#### Request body

Media type: `application/json`. Schema: `CommentInput`.

#### Responses

*   **200** _Comment_ A comment.
    
    Media type: `application/json`. Schema: `object`.
    
    Returns the same response body as the [GET /chatter/comments/{commentId}](/docs/platform/connect-rest-api/references/connect-rest-api-chatter-feeds#tag/Comments-Resources/operation/getComment) operation. See that operation for the full response schema.
    

### GET Comments Capability, Threaded Comments

`GET /chatter/comments/{commentId}/capabilities/comments`

Operation ID: `getThreadedCommentsCapability`. Tags: Comments Resources.

Used to access the comments capability for a specific feed comment.

Access the comments capability for a comment.

If the comment doesn’t support this capability, the response is 404: Not Found.

_Available in: v44.0_

#### Experience Cloud site path

`/connect/communities/{communityId}/chatter/comments/{commentId}/capabilities/comments`

_Available in: v44.0_

Returns the same response body as the [GET /chatter/feed-elements/{feedElementId}/capabilities/comments](/docs/platform/connect-rest-api/references/connect-rest-api-chatter-feeds#tag/Feed-Elements-Resources/operation/getCommentsCapability) operation. See that operation for the full response schema.

#### Parameters

*   `commentId` (path, string (Id), required) ID of a comment.  
    Pattern: ^(0D7)\\w\*.
*   `threadedCommentsCollapsed` (query, boolean)
    
    Specifies whether to return threaded comments in a collapsed style (`true`) or not (`false`). If you don’t specify a value, the default is `false`.
    
    _Available in: v44.0_
    

#### Responses

*   **200** _Comments Capability_ Success
    
    Media type: `application/json`. Schema: `object`.
    
    Returns the same response body as the [GET /chatter/feed-elements/{feedElementId}/capabilities/comments](/docs/platform/connect-rest-api/references/connect-rest-api-chatter-feeds#tag/Feed-Elements-Resources/operation/getCommentsCapability) operation. See that operation for the full response schema.
    

### GET Comments Capability, Threaded Comments Items

`GET /chatter/comments/{commentId}/capabilities/comments/items`

Operation ID: `getThreadedCommentsCapabilityItems`. Tags: Comments Resources.

Returns information about comment tha re direct desendant for the specified comment.

Get threaded comments for a comment.

If the comment doesn’t support the `comments` capability, the response is 404: Not Found.

_Available in: v44.0_

#### Experience Cloud site path

`/connect/communities/{communityId}/chatter/comments/{commentId}/capabilities/comments/items`

_Available in: v44.0_

Returns the same response body as the [GET /chatter/feed-elements/{feedElementId}/capabilities/comments/items](/docs/platform/connect-rest-api/references/connect-rest-api-chatter-feeds#tag/Feed-Elements-Resources/operation/getCommentsCapabilityItems) operation. See that operation for the full response schema.

#### Parameters

*   `commentId` (path, string (Id), required) ID of a comment.  
    Pattern: ^(0D7)\\w\*.
*   `page` (query, string)
    
    Specifies the page token to use to view a page of information. Page tokens are returned as part of the response, such as `currentPageToken` or `nextPageToken`. If you don’t specify a value, the first page is returned.
    
    _Available in: v43.0_
    
*   `pageSize` (query, integer)
    
    Specifies the number of items per page. Valid values are from 1 through 100. If you don’t specify a value, the default size is 25.
    
    _Available in: v43.0_
    

#### Responses

*   **200** _Comment Page_ Success
    
    Media type: `application/json`. Schema: `object`.
    
    Returns the same response body as the [GET /chatter/feed-elements/{feedElementId}/capabilities/comments/items](/docs/platform/connect-rest-api/references/connect-rest-api-chatter-feeds#tag/Feed-Elements-Resources/operation/getCommentsCapabilityItems) operation. See that operation for the full response schema.
    

### GET Comment Capability, Editability

`GET /chatter/comments/{commentId}/capabilities/edit/is-editable-by-me`

Operation ID: `getCommentEditCapabilityIsEditableByMe`. Tags: Comments Resources.

Used to determine if the context user can edit the comment.

Determines whether the context user can edit a comment.

If the comment doesn’t support this capability, the response is 404: Not Found.

_Available in: v34.0_

#### Experience Cloud site path

`/connect/communities/{communityId}/chatter/comments/{commentId}/capabilities/edit/is-editable-by-me`

_Available in: v34.0_

#### Parameters

*   `commentId` (path, string (Id), required) ID of a comment.  
    Pattern: ^(0D7)\\w\*.

#### Responses

*   **200** _Feed Entity Is Editable_ Indicates whether the context user can edit a feed element or comment.
    
    Media type: `application/json`. Schema: `FeedEntityIsEditable`.
    

### GET Comment Capability, Status

`GET /chatter/comments/{commentId}/capabilities/status`

Operation ID: `getCommentStatusCapability`. Tags: Comments Resources.

Access the status capability of a comment or set the status of a comment.

Access the status capability of a comment.

If the comment doesn’t support this capability, the response is 404: Not Found.

_Available in: v38.0_

#### Experience Cloud site path

`/connect/communities/{communityId}/chatter/comments/{commentId}/capabilities/status`

_Available in: v38.0_

#### Parameters

*   `commentId` (path, string (Id), required) ID of a comment.  
    Pattern: ^(0D7)\\w\*.

#### Responses

*   **200** _Status Capability_ If a feed post or comment has this capability, it has a status that determines its visibility.
    
    Media type: `application/json`. Schema: `StatusCapability`.
    

### PATCH Comment Capability, Status

`PATCH /chatter/comments/{commentId}/capabilities/status`

Operation ID: `patchCommentStatusCapability`. Tags: Comments Resources.

Access the status capability of a comment or set the status of a comment.

Set the status of a comment.

If the comment doesn’t support this capability, the response is 404: Not Found.

_Available in: v38.0_

#### Experience Cloud site path

`/connect/communities/{communityId}/chatter/comments/{commentId}/capabilities/status`

_Available in: v38.0_

#### Parameters

*   `commentId` (path, string (Id), required) ID of a comment.  
    Pattern: ^(0D7)\\w\*.
*   `feedEntityStatus` (query, ConnectFeedEntityStatusEnum)
    
    Status of the feed post or comment. Values are:
    
    *   `Draft` — The feed post isn’t published but is visible to the author and users with Modify All Data or View All Data permission. Comments can’t be drafts.
    *   `Isolated` — The feed post or comment is isolated, and only admins can see it.
    *   `PendingReview` — The feed post or comment isn’t approved yet and therefore isn’t published or visible.
    *   `Published` — The feed post or comment is approved and visible.
    
    You must specify `feedEntityStatus` in a query parameter or a request body schema.
    
    _Available in: v38.0_
    

#### Request body

_Available in: v38.0_

Media type: `application/json`. Schema: `StatusCapabilityInput`.

_Example: example\_1_ Payload 1

```
{
  "feedEntityStatus": "Published"
}
```

#### Responses

*   **200** _Status Capability_ If a feed post or comment has this capability, it has a status that determines its visibility.
    
    Media type: `application/json`. Schema: `StatusCapability`.
    

### GET Comment Capability, Upvote and Downvote

`GET /chatter/comments/{commentId}/capabilities/up-down-vote`

Operation ID: `getCommentUpDownVoteCapability`. Tags: Comments Resources.

Used to get or delete up down vote of a comment.

Get the upvotes and downvotes for a comment.

If the comment doesn’t support this capability, the response is 404: Not Found.

_Available in: v41.0_

#### Experience Cloud site path

`/connect/communities/{communityId}/chatter/comments/{commentId}/capabilities/up-down-vote`

_Available in: v41.0_

#### Parameters

*   `commentId` (path, string (Id), required) ID of a comment.  
    Pattern: ^(0D7)\\w\*.

#### Responses

*   **200** _Up Down Vote Capability_ If a feed post or comment has this capability, users can upvote or downvote it.
    
    Media type: `application/json`. Schema: `UpDownVoteCapability`.
    

### PATCH Comment Capability, Upvote and Downvote

`PATCH /chatter/comments/{commentId}/capabilities/up-down-vote`

Operation ID: `patchCommentUpDownVoteCapability`. Tags: Comments Resources.

Used to get or delete up down vote of a comment.

Upvote or downvote a comment.

If the comment doesn’t support this capability, the response is 404: Not Found.

_Available in: v41.0_

#### Experience Cloud site path

`/connect/communities/{communityId}/chatter/comments/{commentId}/capabilities/up-down-vote`

_Available in: v41.0_

#### Parameters

*   `commentId` (path, string (Id), required) ID of a comment.  
    Pattern: ^(0D7)\\w\*.
*   `vote` (query, ConnectUpDownVoteValueEnum)
    
    Type of vote for a feed element or comment.
    
    You must specify `vote` in a query parameter or a request body schema.
    
    _Available in: v41.0_
    

#### Request body

Upvote or downvote a feed element or a comment.

_Available in: v41.0_

Media type: `application/json`. Schema: `UpDownVoteCapabilityInput`.

_Example: example\_1_ Payload 1

```
{
  "vote": "Up"
}
```

#### Responses

*   **200** _Up Down Vote Capability_ If a feed post or comment has this capability, users can upvote or downvote it.
    
    Media type: `application/json`. Schema: `UpDownVoteCapability`.
    

### GET Comment Capability, Upvote and Downvote Items

`GET /chatter/comments/{commentId}/capabilities/up-down-vote/items`

Operation ID: `getCommentUpDownVoteCapabilityItems`. Tags: Comments Resources.

Used to access a page of up or down votes for a specific comment.

Get a list of users who upvoted or downvoted a comment.

If the comment doesn’t support this capability, the response is 404: Not Found.

_Available in: v42.0_

#### Experience Cloud site path

`/connect/communities/{communityId}/chatter/comments/{commentId}/capabilities/up-down-vote/items`

_Available in: v42.0_

#### Parameters

*   `commentId` (path, string (Id), required) ID of a comment.  
    Pattern: ^(0D7)\\w\*.
*   `page` (query, integer)
    
    Number of the page you want returned. Starts at 0. If you don’t specify a value or if you specify 0, the first page is returned.
    
    _Available in: v42.0_
    
*   `pageSize` (query, integer)
    
    Specifies the number of items per page. Valid values are from 1 through 100. If you don’t specify a value, the default size is 25.
    
    _Available in: v42.0_
    
*   `vote` (query, ConnectUpDownVoteValueEnum, required)
    
    Specifies the value of the vote for the feed element.
    
    You can’t specify `None`.
    
    _Available in: v42.0_
    

#### Responses

*   **200** _Vote Collection_ A collection of upvotes or downvotes for a feed element or comment.
    
    Media type: `application/json`. Schema: `VoteCollection`.
    

### GET Comment Capability, Verified

`GET /chatter/comments/{commentId}/capabilities/verified`

Operation ID: `getCommentVerifiedCapability`. Tags: Comments Resources.

Used to get or set the verified status of a comment.

Get the verified status of a comment.

If the comment doesn’t support this capability, the response is 404: Not Found.

_Available in: v41.0_

#### Experience Cloud site path

`/connect/communities/{communityId}/chatter/comments/{commentId}/capabilities/verified`

_Available in: v41.0_

#### Parameters

*   `commentId` (path, string (Id), required) ID of a comment.  
    Pattern: ^(0D7)\\w\*.

#### Responses

*   **200** _Verified Capability_ If a comment has this capability, users with permission can mark it as verified or unverified.
    
    Media type: `application/json`. Schema: `VerifiedCapability`.
    

### PATCH Comment Capability, Verified

`PATCH /chatter/comments/{commentId}/capabilities/verified`

Operation ID: `patchCommentVerifiedCapability`. Tags: Comments Resources.

Used to get or set the verified status of a comment.

Mark a comment as verified or unverified.

If the comment doesn’t support this capability, the response is 404: Not Found.

_Available in: v41.0_

#### Experience Cloud site path

`/connect/communities/{communityId}/chatter/comments/{commentId}/capabilities/verified`

_Available in: v41.0_

#### Parameters

*   `commentId` (path, string (Id), required) ID of a comment.  
    Pattern: ^(0D7)\\w\*.
*   `isVerified` (query, boolean)
    
    Specifies whether to mark the comment as verified (`true`) or unverified (`false`).
    
    Only verified comments can be marked as unverified, and only unverified comments can be marked as verified.
    
    You must specify `isVerified` in a query parameter or a request body schema.
    
    _Available in: v41.0_
    
*   `isVerifiedByAnonymized` (query, boolean)
    
    Specifies whether to mark the comment as verified by an anonymous user (`true`).
    
    If a user previously verified a comment and then requested the activity to be deleted, use `isVerifiedByAnonymized` to maintain the verification and anonymize the value of `lastVerifiedByUser`.
    
    You can’t set `isVerified` and `isVerifiedByAnonymized` to `true` at the same time. `isVerifiedByAnonymized` can be set to `true` only if `isVerified` is already set to `true`.
    
    You can’t set `isVerifiedByAnonymized` to `false`. After `isVerifiedByAnonymized` is set to `true`, it can be undone only when another user marks the comment as unverified and then reverifies the comment.
    
    _Available in: v43.0_
    

#### Request body

_Available in: v41.0_

Media type: `application/json`. Schema: `VerifiedCapabilityInput`.

_Example: example\_1_ Payload 1

```
{
  "isVerified": "true"
}
```

#### Responses

*   **200** _Verified Capability_ If a comment has this capability, users with permission can mark it as verified or unverified.
    
    Media type: `application/json`. Schema: `VerifiedCapability`.
    

### GET Comment Likes

`GET /chatter/comments/{commentId}/likes`

Operation ID: `getCommentLikeCollection`. Tags: Comments Resources.

Returns information about the likes for the specified comment. Also used to add a like to a comment.

Get information about the likes for a comment.

_Available in: v23.0_

#### Experience Cloud site path

`/connect/communities/{communityId}/chatter/comments/{commentId}/likes`

_Available in: v23.0_

#### Parameters

*   `commentId` (path, string (Id), required) ID of a comment.  
    Pattern: ^(0D7)\\w\*.
*   `page` (query, integer) Specifies the number of the page you want returned.
*   `pageSize` (query, integer) Specifies the number of items per page. Valid values are from 1 through 100. If you don't specify a size, the default is 25.

#### Responses

*   **200** _Like Page_ Page of Chatter likes.
    
    Media type: `application/json`. Schema: `LikePage`.
    

### POST Comment Likes

`POST /chatter/comments/{commentId}/likes`

Operation ID: `postCommentLikeCollection`. Tags: Comments Resources.

Returns information about the likes for the specified comment. Also used to add a like to a comment.

Like a comment.

**Note**: POST doesn’t take request parameters or a request body.

_Available in: v23.0_

#### Experience Cloud site path

`/connect/communities/{communityId}/chatter/comments/{commentId}/likes`

_Available in: v23.0_

#### Parameters

*   `commentId` (path, string (Id), required) ID of a comment.  
    Pattern: ^(0D7)\\w\*.

#### Responses

*   **200** _Like_ Chatter like.
    
    Media type: `application/json`. Schema: `Like`.
    

### PATCH Comment Likes

`PATCH /chatter/comments/{commentId}/likes`

Operation ID: `patchCommentLikeCollection`. Tags: Comments Resources.

Returns information about the likes for the specified comment. Also used to add a like to a comment.

Like or unlike a comment.

_Available in: v39.0_

#### Experience Cloud site path

`/connect/communities/{communityId}/chatter/comments/{commentId}/likes`

_Available in: v39.0_

#### Parameters

*   `commentId` (path, string (Id), required) ID of a comment.  
    Pattern: ^(0D7)\\w\*.
*   `isLikedByCurrentUser` (query, boolean, required)
    
    Specifies whether the context user likes ( `true` ) or unlikes ( `false` ) the comment.
    
    _Available in: v39.0_
    

#### Responses

*   **200** _Like Page_ Page of Chatter likes.
    
    Media type: `application/json`. Schema: `LikePage`.
    

### GET Threaded Comment

`GET /chatter/comments/{commentId}/thread-context`

Operation ID: `getThreadedCommentsDeepLink`. Tags: Comments Resources.

Fetching comment in context view for ThreadedComments Deep Linking behavior for a specified comment.

Get a threaded comment in context of its parent comments and post.

If the comment doesn’t support the `comments` capability, the response is 404: Not Found.

_Available in: v44.0_

#### Experience Cloud site path

`/connect/communities/{communityId}/chatter/comments/{commentId}/thread-context`

_Available in: v44.0_

Returns the same response body as the [GET /chatter/feed-elements/{feedElementId}](/docs/platform/connect-rest-api/references/connect-rest-api-chatter-feeds#tag/Feed-Elements-Resources/operation/getFeedElement) operation. See that operation for the full response schema.

#### Parameters

*   `commentId` (path, string (Id), required) ID of a comment.  
    Pattern: ^(0D7)\\w\*.
*   `pageSize` (query, integer)
    
    Specifies the number of items per page. Valid values are from 1 through 100. If you don’t specify a value, the default size is 25.
    
    _Available in: v44.0_
    

#### Responses

*   **200** _Feed Item_ Returns the feed element that provides the context for the thread. The response body is a Feed Item.
    
    Media type: `application/json`. Schema: `object`.
    
    Returns the same response body as the [GET /chatter/feed-elements/{feedElementId}](/docs/platform/connect-rest-api/references/connect-rest-api-chatter-feeds#tag/Feed-Elements-Resources/operation/getFeedElement) operation. See that operation for the full response schema.
    

### GET Feed Elements, Search

`GET /chatter/feed-elements`

Operation ID: `getFeedElementCollection`. Tags: Feed Elements Resources.

Post a feed element or search all feed elements in the organization.

Search all feed elements in an org.

_Available in: v31.0_

#### Experience Cloud site path

`/connect/communities/{communityId}/chatter/feed-elements`

_Available in: v31.0_

#### Parameters

*   `page` (query, string)
    
    Specifies the page token to use to view a page of information. Page tokens are returned as part of the response class, such as `currentPageToken` or `nextPageToken`. If you pass in `null`, the first page is returned.
    
    _Available in: v31.0_
    
*   `pageSize` (query, integer)
    
    Specifies the number of feed elements per page. Valid values are from 1 through 100. If you pass in `null`, the default size is 25.
    
    _Available in: v31.0_
    
*   `q` (query, string, required)
    
    One or more keywords to search for in the feed elements visible to the context user. The search string can contain wildcards and must contain at least two characters that aren’t wildcards. See [Wildcards](/docs/platform/connect-rest-api/guide/intro_wildcards).
    
    _Available in: v31.0_
    
*   `recentCommentCount` (query, integer)
    
    Maximum number of comments to return with each feed element. The default value is 3.
    
    _Available in: v31.0_
    
*   `sort` (query, ConnectFeedSortOrder)
    
    Order of feed items in the feed.
    
    *   `CreatedDateAsc` — Sorts by oldest creation date. This sort order is available only for `DirectMessageModeration`, `Draft`, `Isolated`, `Moderation`, and `PendingReview` feeds.
    *   `CreatedDateDesc` — Sorts by most recent creation date.
    *   `LastModifiedDateDesc` — Sorts by most recent activity.
    *   `MostViewed` — Sorts by most viewed content. This sort order is available only for `Home` feeds when the `ConnectApi.FeedFilter` is `UnansweredQuestions`.
    *   `Relevance` — Sorts by most relevant content. This sort order is available only for `Company`, `Home`, and `Topics` feeds.
    
    _Available in: v31.0_
    
*   `threadedCommentsCollapsed` (query, boolean)
    
    Specifies whether to return threaded comments in a collapsed style (`true`) or not (`false`). If you don’t specify, the default is `false`.
    
    _Available in: v44.0_
    

#### Responses

*   **200** _Feed Element Page_ Success
    
    Media type: `application/json`. Schema: `FeedElementPage`.
    

#### Code samples

_Example: Example 1 · HTTP_

```
/chatter/feed-elements?feedElementType=FeedItem&subjectId=0F9B000000000W2&text=New+post
```

_Example: Example 2 · HTTP_

```
/chatter/feed-elements?q=track
```

### POST Feed Elements

`POST /chatter/feed-elements`

Operation ID: `postFeedElementCollection`. Tags: Feed Elements Resources.

Post a feed element or search all feed elements in the organization.

Post feed elements.

_Available in: v31.0_

#### Experience Cloud site path

`/connect/communities/{communityId}/chatter/feed-elements`

_Available in: v31.0_

Returns the same response body as the [GET /chatter/feed-elements/{feedElementId}](/docs/platform/connect-rest-api/references/connect-rest-api-chatter-feeds#tag/Feed-Elements-Resources/operation/getFeedElement) operation. See that operation for the full response schema.

#### Parameters

*   `feedElementType` (query, ConnectFeedElementTypeEnum, required)
    
    Feed elements are the top-level items that a feed contains. Feeds are feed element containers.
    
    The only possible value is `FeedItem`.
    
    _Available in: v31.0_
    
*   `subjectId` (query, string, required)
    
    The ID of the parent this feed element is being posted to. This value can be the ID of a user, group, or record, or the string `me` to indicate the context user.
    
    _Available in: v31.0_
    
*   `text` (query, string, required)
    
    Text of the feed element.
    
    _Available in: v31.0_
    
*   `visibility` (query, ConnectFeedItemVisibilityEnum)
    
    Specifies the type of users who can see a feed element.
    
    *   `AllUsers` — Visibility is not limited to internal users.
    *   `InternalUsers` — Visibility is limited to internal users.
    
    _Available in: v31.0_
    

#### Request body

Feed item input.

_Available in: v31.0_

Media type: `multipart/form-data`. Schema: `object`.

*   `attachment` (_string_)
    
    You can specify only one of these values in the attachment parameter. Values are:
    
    *   Attachment Input: Canvas App (v29.0–31.0)
    *   Attachment Input: Existing Content (v23.0–31.0)
    *   Attachment Input: Feed Poll (v26.0–31.0)
    *   Attachment Input: Link (v23.0–31.0)
    *   Attachment Input: New File Upload (v23.0–31.0)
    
    **Important**: As of API version 32.0, use the `capabilities` property.
    
*   `body` (_string_)
    
    Description of message body. Feed item and comment bodies have a 10,000 character limit. Because this limit can change, we recommend that clients make a `describeSObjects()` call on the FeedItem or FeedComment object. To determine the maximum number of allowed characters, look at the length of the Body or CommentBody field. The body can contain up to 25 mentions.
    
    If you specify `originalFeedElementId` to share a feed item, use the `body` property to add the first comment to the feed item.
    
    To edit this property in a feed item, make a PATCH request to `/chatter/feed-elements/{feedElementId}`. Editing feed posts is supported in version 34.0 and later.
    
    Required unless the feed item has a content capability or a link capability
    
    _Available in: v23.0_
    
*   `capabilities` (_object_)
    
    FeedElementCapabilitySetInput
    
    The capabilities that define the behavior of this feed element.
    
    _Available in: v31.0_
    
    Includes all fields of `FeedElementCapabilitySetInput`.
    
*   `isBookmarkedByCurrentUser` (_boolean_)
    
    Specifies whether to bookmark the new feed item for the user (`true`) or not (`false`). The default value is `false`.
    
    **Important**: As of API version 32.0, use the `capabilities.bookmarks.isBookmarkedByCurrentUser` property.
    
    _Available in: v24.0–31.0_
    
*   `feedElementType` (_string_)
    
    The type of feed element this input represents.
    
    The only valid value is `FeedItem`.
    
    Required when creating a feed item (POST). Optional when updating a feed item (PATCH)
    
    _Available in: v31.0_
    
*   `originalFeedElementId` (_string_)
    
    To share a feed element, specify its 18-character ID .
    
    You can’t share a post and upload a file in the same request body.
    
    In API version 39.0 and later, use the `capabilities.feedEntityShare.feedEntityId` property.
    
    _Available in: v31.0–38.0_
    
*   `originalFeedItemId` (_string_)
    
    To share a feed item, specify its 18-character ID .
    
    In API version 32.0–38.0, use the `originalFeedElementId` property. In API version 39.0 and later, use the `capabilities.feedEntityShare.feedEntityId` property.
    
    _Available in: v24.0–31.0_
    
*   `subjectId` (_string_)
    
    The ID of the parent this feed element is being posted to. This value can be the ID of a user, group, or record, or the string `me` to indicate the context user.
    
    In version 45.0 and later, you can move a feed element from one public group to another by setting this property to the ID of the new public group. You can’t include or change any other properties when moving a feed element.
    
    _Available in: v31.0_
    
*   `visibility` (_string_)
    
    Who can see the post. Valid values are:
    
    *   `InternalUsers` — If digital experiences is enabled, only members of the default, internal site can see the feed item.
    *   `AllUsers` — If digital experiences is enabled, all members of the site can see the feed item.
    
    Default values:
    
    *   For external users, the default value is `AllUsers`. External users must use this value to see their posts.
    *   For internal users, the default value is `InternalUsers`. Internal users can accept this value or use the value `AllUsers` to allow external users to see their posts.
    
    If the parent of the feed item is a user, group, or direct message, the `visibility` of the feed item must be `AllUsers`.
    
    _Available in: v26.0_
    

_Example: example\_1_ Payload 1

The following example attaches a poll to a feed item:

```
{
  "body": {
    "messageSegments": [
      {
        "type": "Text",
        "text": "When should we meet for release planning?"
      }
    ]
  },
  "capabilities": {
    "poll": {
      "choices": [
        "Monday",
        "Tuesday"
      ]
    }
  },
  "feedElementType": "FeedItem",
  "subjectId": "me"
}
```

#### Responses

*   **200** _Feed Item_ Returns the posted feed element. The response body is a Feed Item.
    
    Media type: `application/json`. Schema: `object`.
    
    Returns the same response body as the [GET /chatter/feed-elements/{feedElementId}](/docs/platform/connect-rest-api/references/connect-rest-api-chatter-feeds#tag/Feed-Elements-Resources/operation/getFeedElement) operation. See that operation for the full response schema.
    

#### Code samples

_Example: Example 1 · HTTP_

```
/chatter/feed-elements?feedElementType=FeedItem&subjectId=0F9B000000000W2&text=New+post
Content-Type: application/json

{
  "body": {
    "messageSegments": [
      {
        "type": "Text",
        "text": "When should we meet for release planning?"
      }
    ]
  },
  "capabilities": {
    "poll": {
      "choices": [
        "Monday",
        "Tuesday"
      ]
    }
  },
  "feedElementType": "FeedItem",
  "subjectId": "me"
}
```

_Example: Example 2 · HTTP_

```
/chatter/feed-elements?q=track
Content-Type: application/json

{
  "body": {
    "messageSegments": [
      {
        "type": "Text",
        "text": "When should we meet for release planning?"
      }
    ]
  },
  "capabilities": {
    "poll": {
      "choices": [
        "Monday",
        "Tuesday"
      ]
    }
  },
  "feedElementType": "FeedItem",
  "subjectId": "me"
}
```

_Example: Example 3 · HTTP_

```
{ 
   "body" : {
      "messageSegments" : [
         {
            "type" : "Text",
            "text" : "When should we meet for release planning? "
         }]
       },
   "feedElementType" : "FeedItem",
   "subjectId" : "005D00000016Qxp"
}
Content-Type: application/json

{
  "body": {
    "messageSegments": [
      {
        "type": "Text",
        "text": "When should we meet for release planning?"
      }
    ]
  },
  "capabilities": {
    "poll": {
      "choices": [
        "Monday",
        "Tuesday"
      ]
    }
  },
  "feedElementType": "FeedItem",
  "subjectId": "me"
}
```

_Example: Example 4 · HTTP_

```
{ 
   "body" : {
      "messageSegments" : [
         {
            "type" : "Text",
            "text" : "When should we meet for release planning? "
         },
         {   
            "type" : "Mention",
            "id" : "005T0000000mzCy"
         }
      ]
   },
   "feedElementType" : "FeedItem",
   "subjectId" : "005D00000016Qxp"
}
Content-Type: application/json

{
  "body": {
    "messageSegments": [
      {
        "type": "Text",
        "text": "When should we meet for release planning?"
      }
    ]
  },
  "capabilities": {
    "poll": {
      "choices": [
        "Monday",
        "Tuesday"
      ]
    }
  },
  "feedElementType": "FeedItem",
  "subjectId": "me"
}
```

_Example: Example 5 · HTTP_

```
{ 
   "body" : {
      "messageSegments" : [
         {
            "type" : "Text",
            "text" : "When should we meet for release planning? "
         },
         {   
            "type" : "Mention",
            "id" : "005T0000000mzCy"
         },
         {
            "type" : "Text",
            "text" : " "
         },
         {   
            "type" : "Mention",
            "id" : "005B0000000Ek1S"
         } 
      ]
   },
   "feedElementType" : "FeedItem",
   "subjectId" : "005D00000016Qxp"
}
Content-Type: application/json

{
  "body": {
    "messageSegments": [
      {
        "type": "Text",
        "text": "When should we meet for release planning?"
      }
    ]
  },
  "capabilities": {
    "poll": {
      "choices": [
        "Monday",
        "Tuesday"
      ]
    }
  },
  "feedElementType": "FeedItem",
  "subjectId": "me"
}
```

_Example: Example 6 · HTTP_

```
{
   "body":{
      "messageSegments":[
         {
            "type":"Text",
            "text":"Please take a look at these files."
         }
      ]
   },
   "capabilities":{
      "files":{
         "items": [
            {"id": "069D00000001IOh"},
            {"id": "069D00000002IOg"}
         ]
      }
   },
   "subjectId":"me",
   "feedElementType":"FeedItem"
}
Content-Type: application/json

{
  "body": {
    "messageSegments": [
      {
        "type": "Text",
        "text": "When should we meet for release planning?"
      }
    ]
  },
  "capabilities": {
    "poll": {
      "choices": [
        "Monday",
        "Tuesday"
      ]
    }
  },
  "feedElementType": "FeedItem",
  "subjectId": "me"
}
```

_Example: Example 7 · HTTP_

```
{
   "body":{
      "messageSegments":[
         {
            "type":"Text",
            "text":"When should we meet for release planning?"
         }
      ]
   },
   "capabilities":{
      "poll":{
         "choices":[
            "Monday",
            "Tuesday"
         ]
      }
   },
   "feedElementType":"FeedItem",
   "subjectId":"me"
}
Content-Type: application/json

{
  "body": {
    "messageSegments": [
      {
        "type": "Text",
        "text": "When should we meet for release planning?"
      }
    ]
  },
  "capabilities": {
    "poll": {
      "choices": [
        "Monday",
        "Tuesday"
      ]
    }
  },
  "feedElementType": "FeedItem",
  "subjectId": "me"
}
```

_Example: Example 8 · HTTP_

```
{
   "body":{
      "messageSegments":[
         {
            "markupType" : "Paragraph",
            "type" : "MarkupBegin"
         },
         {
            "markupType" : "Bold",
            "type" : "MarkupBegin"
         },
         {
             "text" : "First line of text.",
             "type" : "Text"
         },
         {
            "markupType" : "Bold",
            "type" : "MarkupEnd"
         },
         {
            "markupType" : "Paragraph",
            "type" : "MarkupEnd"
         },
         {
            "markupType" : "Paragraph",
            "type" : "MarkupBegin"
         },
         {
            "text" : "&nbsp;",
            "type" : "Text"
         },
         {
            "markupType" : "Paragraph",
            "type" : "MarkupEnd"
         },
         {
            "markupType" : "Paragraph",
            "type" : "MarkupBegin"
         },
         {
            "text" : "Second line of text.",
            "type" : "Text"
         },
         {
            "markupType" : "Paragraph",
            "type" : "MarkupEnd"
         }
      ]
   },
   "subjectId":"me",
   "feedElementType":"FeedItem"
}
Content-Type: application/json

{
  "body": {
    "messageSegments": [
      {
        "type": "Text",
        "text": "When should we meet for release planning?"
      }
    ]
  },
  "capabilities": {
    "poll": {
      "choices": [
        "Monday",
        "Tuesday"
      ]
    }
  },
  "feedElementType": "FeedItem",
  "subjectId": "me"
}
```

_Example: Example 9 · HTTP_

```
{
   "body":{
      "messageSegments":[
         {
            "markupType" : "Code",
            "type" : "MarkupBegin"
         },
         {
             "text" : "<script>var i, t = 0;\nfor (i = 0; i < 5; i++) {\n   t +=
                       i;\n}\n</script>",
             "type" : "Text"
         },
         {
            "markupType" : "Code",
            "type" : "MarkupEnd"
         }
      ]
   },
   "subjectId":"me",
   "feedElementType":"FeedItem"
}
Content-Type: application/json

{
  "body": {
    "messageSegments": [
      {
        "type": "Text",
        "text": "When should we meet for release planning?"
      }
    ]
  },
  "capabilities": {
    "poll": {
      "choices": [
        "Monday",
        "Tuesday"
      ]
    }
  },
  "feedElementType": "FeedItem",
  "subjectId": "me"
}
```

_Example: Example 10 · HTTP_

```
{
   "body":{
      "messageSegments":[
         {
            "type":"Text",
            "text":"Please take a look at this file."
         },
         {
            "type":"InlineImage",
            "fileId":"069xx00000000QO",
            "altText":"API Spec"
         },
         {
            "type":"Text",
            "text":"And this one."
         },
         {
            "type":"InlineImage",
            "fileId":"069xx00000000QT",
            "altText":"REST API Spec"
         }
      ]
   },
   "subjectId":"me",
   "feedElementType":"FeedItem"
}
Content-Type: application/json

{
  "body": {
    "messageSegments": [
      {
        "type": "Text",
        "text": "When should we meet for release planning?"
      }
    ]
  },
  "capabilities": {
    "poll": {
      "choices": [
        "Monday",
        "Tuesday"
      ]
    }
  },
  "feedElementType": "FeedItem",
  "subjectId": "me"
}
```

_Example: Example 11 · HTTP_

```
{ 
   "body" : {
      "messageSegments" : [
         {
            "type" : "Text",
            "text" : "When should we meet for release planning? "
         },
         {   
            "type" : "Mention",
            "id" : "005D00000016Qxp"
         }]
       },
   "capabilities" : {
      "feedEntityShare" : {
         "feedEntityId" : "0D5B000000Py41t"
         }
      },
   "feedElementType" : "FeedItem",
   "subjectId" : "0F9B000000000W2"
}
Content-Type: application/json

{
  "body": {
    "messageSegments": [
      {
        "type": "Text",
        "text": "When should we meet for release planning?"
      }
    ]
  },
  "capabilities": {
    "poll": {
      "choices": [
        "Monday",
        "Tuesday"
      ]
    }
  },
  "feedElementType": "FeedItem",
  "subjectId": "me"
}
```

_Example: Example 12 · HTTP_

```
{
   "body":{
      "messageSegments":[
         {
            "type":"Text",
            "text":"Thanks for attending my presentation test run this morning. Send me any feedback."
         }
      ]
   },
   "capabilities":{
      "directMessage":{
         "membersToAdd": ["005R0000000I2X4","005R0000000I23Y"],
         "subject": "Thank you!"
      }
   },
   "subjectId":"me",
   "feedElementType":"FeedItem"
}
Content-Type: application/json

{
  "body": {
    "messageSegments": [
      {
        "type": "Text",
        "text": "When should we meet for release planning?"
      }
    ]
  },
  "capabilities": {
    "poll": {
      "choices": [
        "Monday",
        "Tuesday"
      ]
    }
  },
  "feedElementType": "FeedItem",
  "subjectId": "me"
}
```

### POST Feed Elements, Batch

`POST /chatter/feed-elements/batch`

Operation ID: `postFeedElementBatchCollection`. Tags: Feed Elements Resources.

Allows batch posting of feed elements.

Post a batch of up to 500 feed elements.

_Available in: v32.0_

#### Post a batch of feed elements

This example uses the `/chatter/feed-elements/batch` resource to post a batch of feed elements. This example uses cURL.

```
curl -H "X-PrettyPrint: 1" -F 'json={"inputs":[{"richInput":{"subjectId":"me","body":{"messageSegments":[{"type":"Text","text":"Post Number 1"}]},"feedElementType":"FeedItem"}},{"richInput":{"subjectId":"me","body":{"messageSegments":[{"type":"Text","text":"Post Number 2"}]},"feedElementType":"FeedItem"}}]};type=application/json' -X POST https://
```

Here’s the same example showing just the request body:

```
{
"inputs": [
{
"richInput": {
"subjectId": "me",
"body": {
"messageSegments": [
{
"type": "Text",
"text": "Post Number 1"
}
]
},
"feedElementType": "FeedItem"
}
},
{
"richInput": {
"subjectId": "me",
"body": {
"messageSegments": [
{
"type": "Text",
"text": "Post Number 2"
}
]
},
"feedElementType": "FeedItem"
}
}
]
}
```

#### Experience Cloud site path

`/connect/communities/{communityId}/chatter/feed-elements/batch`

_Available in: v32.0_

#### Request body

Describes a collection of inputs for a batch request.

Media type: `application/json`. Schema: `object`.

*   `inputs` (_array of object_, required)
    
    Collection of inputs (request bodies) to be processed together. Every Batch Input request body’s `richInput` property must contain the same type of request body.
    
    _Available in: v32.0_
    
    *   `richInput` (_AbstractFeedElementInput_)

_Example: example\_1_ Payload 1

```
{
  "inputs": [
    {
      "richInput": {
        "subjectId": "me",
        "body": {
          "messageSegments": [
            {
              "type": "Text",
              "text": "Post Number 1"
            }
          ]
        },
        "feedElementType": "FeedItem"
      }
    },
    {
      "richInput": {
        "subjectId": "me",
        "body": {
          "messageSegments": [
            {
              "type": "Text",
              "text": "Post Number 2"
            }
          ]
        },
        "feedElementType": "FeedItem"
      }
    }
  ]
}
```

#### Responses

*   **200** _Batch Results_
    
    Batch results.
    
    The Batch Results response body contains Feed Item response bodies corresponding to each of the request bodies. The Feed Item response bodies are returned in the same order as the request bodies.
    
    The request returns an HTTP 200 status code unless an error occurs that affects the entire request (such as a parsing failure). If an individual request body causes an error, the Batch Results Item `statusCode` property contains the appropriate HTTP status code.
    
    Media type: `application/json`. Schema: `Batch`.
    

### GET Feed Elements, Batch

`GET /chatter/feed-elements/batch/{feedElementIds}`

Operation ID: `getFeedElementBatch`. Tags: Feed Elements Resources.

Returns information about more than one feed element at the same time.

Get information about a comma-separated list of up to 500 feed elements. Errors for feed elements that can’t be loaded are returned in the results.

_Available in: v31.0_

#### Experience Cloud site path

`/connect/communities/{communityId}/chatter/feed-elements/batch/{feedElementIds}`

_Available in: v31.0_

#### Parameters

*   `feedElementIds` (path, array of string (Id), required) Comma-separated list of up to 500 feed element IDs.

#### Responses

*   **200** _Batch Results_ Batch results.
    
    Media type: `application/json`. Schema: `Batch`.
    

### PATCH Feed Elements Capability, Batch Update Read By

`PATCH /chatter/feed-elements/batch/{feedElementIds}/capabilities/read-by`

Operation ID: `patchFeedElementReadByCapabilityBatch`. Tags: Feed Elements Resources.

Sets read status more than one feed element at the same time.

Mark multiple feed elements as read by the context user at the same time.

If the feed element doesn’t support this capability, the response is 404: Not Found.

_Available in: v40.0_

#### Experience Cloud site path

`/connect/communities/{communityId}/chatter/feed-elements/batch/{feedElementIds}/capabilities/read-by`

_Available in: v40.0_

#### Parameters

*   `feedElementIds` (path, array of string (Id), required) Comma-separated list of feed element IDs.
*   `isReadByMe` (query, boolean)
    
    Specifies to mark the feed element as read (`true`) for the context user.
    
    You must specify `isReadByMe` in a query parameter or a request body.
    
    _Available in: v40.0_
    

#### Request body

Mark feed elements as read by the context user.

_Available in: v40.0_

Media type: `application/json`. Schema: `ReadByCapabilityInput`.

_Example: example\_1_ Payload 1

```
{
  "isReadByMe": "true"
}
```

#### Responses

*   **200** _Batch Results_ Batch results.
    
    Media type: `application/json`. Schema: `Batch`.
    

### POST Draft Feed Element

`POST /chatter/feed-elements/publish-draft`

Operation ID: `postFeedElementPublishDraft`. Tags: Feed Elements Resources.

Used to publish a specific draft feed element.

Publish a draft feed element.

_Available in: v44.0_

#### Experience Cloud site path

`/connect/communities/{communityId}/chatter/feed-elements/publish-draft`

_Available in: v44.0_

Returns the same response body as the [GET /chatter/feed-elements/{feedElementId}](/docs/platform/connect-rest-api/references/connect-rest-api-chatter-feeds#tag/Feed-Elements-Resources/operation/getFeedElement) operation. See that operation for the full response schema.

#### Parameters

*   `feedElementId` (query, string, required)
    
    ID of the draft feed element to publish.
    
    If you don’t need to update your draft prior to publishing, use this request parameter.
    
    _Available in: v44.0_
    

#### Request body

If you want to update your draft prior to publishing, use the Feed Item Input request body.

Feed item input.

**Note**: Use the `feedElementId` request parameter in addition to the Feed Item Input request body.

_Available in: v44.0_

Media type: `application/json`. Schema: `AbstractFeedElementInput`.

_Example example\_1: same as POST /chatter/feed-elements request._ Payload 1

The following example attaches a poll to a feed item:

_Example: example\_1_ Payload 1

The following example attaches a poll to a feed item:

#### Responses

*   **200** _Feed Item_
    
    Returns the published feed element. The response body is a Feed Item. (A feed item is a type of feed element.)
    
    The published feed item has a new ID.
    
    Media type: `application/json`. Schema: `object`.
    
    Returns the same response body as the [GET /chatter/feed-elements/{feedElementId}](/docs/platform/connect-rest-api/references/connect-rest-api-chatter-feeds#tag/Feed-Elements-Resources/operation/getFeedElement) operation. See that operation for the full response schema.
    

### GET Feed Element

`GET /chatter/feed-elements/{feedElementId}`

Operation ID: `getFeedElement`. Tags: Feed Elements Resources.

Used to access, update or delete a specific feed element.

Get a feed element.

_Available in: v31.0_

#### Experience Cloud site path

`/connect/communities/{communityId}/chatter/feed-elements/{feedElementId}`

_Available in: v31.0_

#### Parameters

*   `feedElementId` (path, string (Id), required) ID of a feed element.
*   `commentSort` (query, ConnectFeedCommentSortOrder)
    
    Order of comments. Values are:
    
    *   `CreatedDateLatestAsc` — Sorts by most recently created comments in ascending order.
    *   `CreatedDateOldestAsc` — Sorts by oldest comments in ascending order.
    *   `Relevance` — Sorts by most relevant content.
    
    The default value is `CreatedDateLatestAsc`.
    
    Sorting in descending order isn’t supported.
    
    _Available in: v41.0_
    
*   `elementsPerBundle` (query, integer)
    
    Maximum number of feed elements to include in a bundle. The value must be an integer between 0 and 10. The default value is 3.
    
    _Available in: v31.0_
    
*   `recentCommentCount` (query, integer)
    
    Maximum number of comments to return with each feed element. The default value is 3.
    
    _Available in: v31.0_
    
*   `threadedCommentsCollapsed` (query, boolean)
    
    Specifies whether to return threaded comments in a collapsed style (`true`) or not (`false`). If you don’t specify, the default is `false`.
    
    _Available in: v44.0_
    

#### Responses

*   **200** _Generic Feed Element_ Returns the requested feed element. The response body is a Generic Feed Element or a Feed Item.
    
    Media type: `application/json`. Schema: `AbstractFeedElement`.
    

### DELETE Feed Element

`DELETE /chatter/feed-elements/{feedElementId}`

Operation ID: `deleteFeedElement`. Tags: Feed Elements Resources.

Used to access, update or delete a specific feed element.

Delete a feed element.

_Available in: v31.0_

#### Experience Cloud site path

`/connect/communities/{communityId}/chatter/feed-elements/{feedElementId}`

_Available in: v31.0_

#### Parameters

*   `feedElementId` (path, string (Id), required) ID of a feed element.

#### Responses

*   **204** _Successful Delete_ Success

### PATCH Feed Element

`PATCH /chatter/feed-elements/{feedElementId}`

Operation ID: `patchFeedElement`. Tags: Feed Elements Resources.

Used to access, update or delete a specific feed element.

Edit a feed element. Feed items are the only type of feed element that can be edited.

_Available in: v34.0_

#### Experience Cloud site path

`/connect/communities/{communityId}/chatter/feed-elements/{feedElementId}`

_Available in: v34.0_

Returns the same response body as the [GET /chatter/feed-elements/{feedElementId}](/docs/platform/connect-rest-api/references/connect-rest-api-chatter-feeds#tag/Feed-Elements-Resources/operation/getFeedElement) operation. See that operation for the full response schema.

#### Parameters

*   `feedElementId` (path, string (Id), required) ID of a feed element.

#### Request body

Feed item input.

Media type: `application/json`. Schema: `AbstractFeedElementInput`.

_Example example\_1: same as POST /chatter/feed-elements request._ Payload 1

The following example attaches a poll to a feed item:

_Example: example\_1_ Payload 1

The following example attaches a poll to a feed item:

#### Responses

*   **200** _Feed Item_ Returns the feed element. The response body is a Feed Item. (A feed item is a type of feed element.)
    
    Media type: `application/json`. Schema: `object`.
    
    Returns the same response body as the [GET /chatter/feed-elements/{feedElementId}](/docs/platform/connect-rest-api/references/connect-rest-api-chatter-feeds#tag/Feed-Elements-Resources/operation/getFeedElement) operation. See that operation for the full response schema.
    

### GET Feed Elements Capabilities

`GET /chatter/feed-elements/{feedElementId}/capabilities`

Operation ID: `getFeedElementCapabilities`. Tags: Feed Elements Resources.

Used to access a specific feed element's set of capabilities.

Access a feed element's set of capabilities.

_Available in: v31.0_

#### Experience Cloud site path

`/connect/communities/{communityId}/chatter/feed-elements/{feedElementId}/capabilities`

_Available in: v31.0_

#### Parameters

*   `feedElementId` (path, string (Id), required) ID of a feed element.
*   `elementsPerBundle` (query, integer)
    
    Maximum number of feed elements to include in a bundle. The value must be an integer between 0 and 10. The default value is 3.
    
    _Available in: v31.0_
    
*   `recentCommentCount` (query, integer)
    
    Maximum number of comments to return with each feed element. The default value is 3.
    
    _Available in: v31.0_
    

#### Responses

*   **200** _Feed Element Capabilities_
    
    A container for all capabilities that can be included with a feed element.
    
    In API version 30.0 and earlier, most feed items can have comments, likes, topics, and so on. In version 31.0 and later, every feed item (and feed element) can have a unique set of capabilities. If a capability property exists on a feed element, that capability is available, even if the capability property doesn’t have a value. For example, if the `ChatterLikes` capability property exists on a feed element (with or without a value), the context user can like that feed element. If the capability property doesn’t exist, it isn’t possible to like that feed element. A capability can also contain associated data. For example, the `Moderation` capability contains data about moderation flags.
    
    Media type: `application/json`. Schema: `FeedElementCapabilitySet`.
    

### GET Feed Elements Capability, Bookmarks

`GET /chatter/feed-elements/{feedElementId}/capabilities/bookmarks`

Operation ID: `getBookmarksCapability`. Tags: Feed Elements Resources.

Used to access bookmarks for a specific feed element, or to add a bookmark to a specific feed element.

Get information about whether a feed element is bookmarked.

If the feed element doesn’t support this capability, the response is 404: Not Found.

_Available in: v32.0_

#### Experience Cloud site path

`/connect/communities/{communityId}/chatter/feed-elements/{feedElementId}/capabilities/bookmarks`

_Available in: v32.0_

#### Parameters

*   `feedElementId` (path, string (Id), required) ID of a feed element.

#### Responses

*   **200** _Bookmarks Capability_ If a feed element has this capability, the context user can bookmark it.
    
    Media type: `application/json`. Schema: `BookmarksCapability`.
    

### PATCH Feed Elements Capability, Bookmarks

`PATCH /chatter/feed-elements/{feedElementId}/capabilities/bookmarks`

Operation ID: `patchBookmarksCapability`. Tags: Feed Elements Resources.

Used to access bookmarks for a specific feed element, or to add a bookmark to a specific feed element.

Add bookmarks to feed elements.

If the feed element doesn’t support this capability, the response is 404: Not Found.

_Available in: v32.0_

#### Experience Cloud site path

`/connect/communities/{communityId}/chatter/feed-elements/{feedElementId}/capabilities/bookmarks`

_Available in: v32.0_

#### Parameters

*   `feedElementId` (path, string (Id), required) ID of a feed element.
*   `isBookmarkedByCurrentUser` (query, boolean)
    
    Specifies if the feed element should be bookmarked for the user (`true`) or not (`false`).
    
    You must specify `isBookmarkedByCurrentUser` in a query parameter or a request body.
    
    _Available in: v32.0_
    

#### Request body

_Available in: v32.0_

Media type: `application/json`. Schema: `BookmarksCapabilityInput`.

_Example: example\_1_ Payload 1

```
{
  "isBookmarkedByCurrentUser": true
}
```

#### Responses

*   **200** _Bookmarks Capability_ If a feed element has this capability, the context user can bookmark it.
    
    Media type: `application/json`. Schema: `BookmarksCapability`.
    

#### Code samples

_Example: Example 1 · HTTP_

```
{
  "isBookmarkedByCurrentUser": true
}
```

### GET Feed Elements Capability, Bundle

`GET /chatter/feed-elements/{feedElementId}/capabilities/bundle`

Operation ID: `getFeedElementBundleCapability`. Tags: Feed Elements Resources.

Used to access a specific feed element's bundle capability.

Access the bundle capability of a feed element.

If the feed element doesn’t support this capability, the response is 404: Not Found.

_Available in: v31.0_

#### Experience Cloud site path

`/connect/communities/{communityId}/chatter/feed-elements/{feedElementId}/capabilities/bundle`

_Available in: v31.0_

#### Parameters

*   `feedElementId` (path, string (Id), required) ID of a feed element.
*   `elementsPerBundle` (query, integer)
    
    Maximum number of feed elements to include in a bundle. The value must be an integer between 0 and 10. The default value is 3.
    
    _Available in: v31.0_
    
*   `recentCommentCount` (query, integer)
    
    Maximum number of comments to return with each feed element. The default value is 3.
    
    _Available in: v31.0_
    

#### Responses

*   **200** _Generic Bundle Capability_
    
    If a feed element has this capability, the feed element may be a group of other feed elements condensed into one.
    
    **Note**: Bundled posts contain feed-tracked changes and are in record feeds only.
    
    Media type: `application/json`. Schema: `AbstractBundleCapability`.
    

### GET Feed Elements Capability, Bundle Elements

`GET /chatter/feed-elements/{feedElementId}/capabilities/bundle/feed-elements`

Operation ID: `getFeedElementBundleFeed`. Tags: Feed Elements Resources.

Returns all feed elements that are grouped together in a bundle.

Access all feed elements that are grouped together in a bundle.

Bundled posts contain feed-tracked changes and are in record feeds only.

If the feed element doesn’t support this capability, the response is 404: Not Found.

_Available in: v31.0_

#### Experience Cloud site path

`/connect/communities/{communityId}/chatter/feed-elements/{feedElementId}/capabilities/bundle/feed-elements`

_Available in: v31.0_

#### Parameters

*   `feedElementId` (path, string (Id), required) ID of a feed element.
*   `elementsPerBundle` (query, integer)
    
    Maximum number of feed elements to include in a bundle. The value must be an integer between 0 and 10. The default value is 3.
    
    _Available in: v31.0_
    
*   `page` (query, string)
    
    Specifies the page token to use to view a page of information. Page tokens are returned as part of the response class, such as `currentPageToken` or `nextPageToken`. If you pass in `null`, the first page is returned.
    
    _Available in: v31.0_
    
*   `pageSize` (query, integer)
    
    Specifies the number of feed elements per page. Valid values are from 1 through 100. If you pass in `null`, the default size is 25.
    
    _Available in: v31.0_
    
*   `recentCommentCount` (query, integer)
    
    Maximum number of comments to return with each feed element. The default value is 3.
    
    _Available in: v31.0_
    

#### Responses

*   **200** _Feed Element Page_ Container of feed elements with paginated results.
    
    Media type: `application/json`. Schema: `FeedElementPage`.
    

### GET Feed Elements Capability, Chatter Likes

`GET /chatter/feed-elements/{feedElementId}/capabilities/chatter-likes`

Operation ID: `getChatterLikesCapability`. Tags: Feed Elements Resources.

Used to access likes for a specific feed element.

Access information about the chatter likes capability for a feed element.

If the feed element doesn’t support this capability, the response is 404: Not Found.

_Available in: v32.0_

#### Experience Cloud site path

`/connect/communities/{communityId}/chatter/feed-elements/{feedElementId}/capabilities/chatter-likes`

_Available in: v32.0_

#### Parameters

*   `feedElementId` (path, string (Id), required) ID of a feed element.

#### Responses

*   **200** Success
    
    Media type: `application/json`. Schema: `ChatterLikesCapability`.
    

### GET Feed Elements Capability, Chatter Likes Items

`GET /chatter/feed-elements/{feedElementId}/capabilities/chatter-likes/items`

Operation ID: `getChatterLikesCapabilityItems`. Tags: Feed Elements Resources.

Used to access a page of likes for a specific feed element, or to add a like to a specific feed element.

Access a page of likes for a feed element.

If the feed element doesn’t support this capability, the response is 404: Not Found.

_Available in: v32.0_

#### Experience Cloud site path

`/connect/communities/{communityId}/chatter/feed-elements/{feedElementId}/capabilities/chatter-likes/items`

_Available in: v32.0_

#### Parameters

*   `feedElementId` (path, string (Id), required) ID of a feed element.
*   `page` (query, integer)
    
    Specifies the number of the page you want returned. If you don’t specify a value, the first page is returned.
    
    _Available in: v32.0_
    
*   `pageSize` (query, integer)
    
    Specifies the number of likes per page. Valid values are from 1 to 100. If you don't specify a size, the default is 25.
    
    _Available in: v32.0_
    

#### Responses

*   **200** _Like Page_ Page of Chatter likes.
    
    Media type: `application/json`. Schema: `LikePage`.
    

#### Code samples

_Example: Example 1 · HTTP_

```
/chatter/feed-elements/005B0000000GPo4/capabilities/chatter-likes/items
```

### POST Feed Elements Capability, Chatter Likes Items

`POST /chatter/feed-elements/{feedElementId}/capabilities/chatter-likes/items`

Operation ID: `postChatterLikesCapabilityItems`. Tags: Feed Elements Resources.

Used to access a page of likes for a specific feed element, or to add a like to a specific feed element.

Like a feed element.

**Note**: POST doesn’t take request parameters or a request body.

If the feed element doesn’t support this capability, the response is 404: Not Found.

_Available in: v32.0_

#### Experience Cloud site path

`/connect/communities/{communityId}/chatter/feed-elements/{feedElementId}/capabilities/chatter-likes/items`

_Available in: v32.0_

#### Parameters

*   `feedElementId` (path, string (Id), required) ID of a feed element.

#### Responses

*   **200** _Like_ Success
    
    Media type: `application/json`. Schema: `Like`.
    

### PATCH Feed Elements Capability, Chatter Likes Items

`PATCH /chatter/feed-elements/{feedElementId}/capabilities/chatter-likes/items`

Operation ID: `patchChatterLikesCapabilityItems`. Tags: Feed Elements Resources.

Used to access a page of likes for a specific feed element, or to add a like to a specific feed element.

Like or unlike a feed element.

If the feed element doesn’t support this capability, the response is 404: Not Found.

_Available in: v39.0_

#### Experience Cloud site path

`/connect/communities/{communityId}/chatter/feed-elements/{feedElementId}/capabilities/chatter-likes/items`

_Available in: v39.0_

#### Parameters

*   `feedElementId` (path, string (Id), required) ID of a feed element.
*   `isLikedByCurrentUser` (query, boolean, required)
    
    Specifies whether the context user likes ( `true` ) or unlikes ( `false` ) the feed element.
    
    _Available in: v39.0_
    

#### Responses

*   **200** _Like Page_ Page of Chatter likes.
    
    Media type: `application/json`. Schema: `LikePage`.
    

### GET Feed Elements Capability, Close

`GET /chatter/feed-elements/{feedElementId}/capabilities/close`

Operation ID: `getCloseCapability`. Tags: Feed Elements Resources.

Used to get or set the closed state of a feed element.

Get the closed status of a feed element.

Users can’t edit (specifically the feed item body or title), comment on, or delete a closed feed element. If the closed feed element is a poll, users can’t vote on it. Users can’t edit (specifically the comment body) or delete a comment on a closed feed element or select or remove it as best answer.

Admins and moderators can edit and delete closed feed elements and comments on closed feed elements. Admins and moderators can select or remove the best answer status on comments on closed feed elements.

If the feed element doesn’t support this capability, the response is 404: Not Found.

_Available in: v43.0_

#### Experience Cloud site path

`/connect/communities/{communityId}/chatter/feed-elements/{feedElementId}/capabilities/close`

_Available in: v43.0_

#### Parameters

*   `feedElementId` (path, string (Id), required) ID of a feed element.

#### Responses

*   **200** _Close Capability_
    
    If a feed element has this capability, users with permission can close it.
    
    Users can’t edit (specifically the feed item body or title), comment on, or delete a closed feed element. If the closed feed element is a poll, users can’t vote on it. Users can’t edit (specifically the comment body) or delete a comment on a closed feed element or select or remove it as best answer.
    
    Admins and moderators can edit and delete closed feed elements and comments on closed feed elements. Admins and moderators can select or remove the best answer status on comments on closed feed elements.
    
    Media type: `application/json`. Schema: `CloseCapability`.
    

### PATCH Feed Elements Capability, Close

`PATCH /chatter/feed-elements/{feedElementId}/capabilities/close`

Operation ID: `patchCloseCapability`. Tags: Feed Elements Resources.

Used to get or set the closed state of a feed element.

Set a feed element to closed.

Users can’t edit (specifically the feed item body or title), comment on, or delete a closed feed element. If the closed feed element is a poll, users can’t vote on it. Users can’t edit (specifically the comment body) or delete a comment on a closed feed element or select or remove it as best answer.

Admins and moderators can edit and delete closed feed elements and comments on closed feed elements. Admins and moderators can select or remove the best answer status on comments on closed feed elements.

If the feed element doesn’t support this capability, the response is 404: Not Found.

_Available in: v43.0_

#### Experience Cloud site path

`/connect/communities/{communityId}/chatter/feed-elements/{feedElementId}/capabilities/close`

_Available in: v43.0_

#### Parameters

*   `feedElementId` (path, string (Id), required) ID of a feed element.
*   `isClosed` (query, boolean)
    
    Specifies whether to set the feed element to closed (`true`) or not (`false`).
    
    You must specify `isClosed` in a query parameter or a request body.
    
    _Available in: v43.0_
    

#### Request body

Set a feed element to closed. Users can’t edit (specifically the feed item body or title), comment on, or delete a closed feed element. If the closed feed element is a poll, users can’t vote on it. Users can’t edit (specifically the comment body) or delete a comment on a closed feed element or select or remove it as best answer. Admins and moderators can edit and delete closed feed elements and comments on closed feed elements. Admins and moderators can select or remove the best answer status on comments on closed feed elements.

_Available in: v43.0_

Media type: `application/json`. Schema: `CloseCapabilityInput`.

_Example: example\_1_ Payload 1

```
{
  "isClosed": "true"
}
```

#### Responses

*   **200** _Close Capability_
    
    If a feed element has this capability, users with permission can close it.
    
    Users can’t edit (specifically the feed item body or title), comment on, or delete a closed feed element. If the closed feed element is a poll, users can’t vote on it. Users can’t edit (specifically the comment body) or delete a comment on a closed feed element or select or remove it as best answer.
    
    Admins and moderators can edit and delete closed feed elements and comments on closed feed elements. Admins and moderators can select or remove the best answer status on comments on closed feed elements.
    
    Media type: `application/json`. Schema: `CloseCapability`.
    

### GET Feed Elements Capability, Comments

`GET /chatter/feed-elements/{feedElementId}/capabilities/comments`

Operation ID: `getCommentsCapability`. Tags: Feed Elements Resources.

Used to access the comments capability for a specific feed element.

Access the comments capability for a feed element.

If the feed element doesn’t support this capability, the response is 404: Not Found.

_Available in: v32.0_

#### Experience Cloud site path

`/connect/communities/{communityId}/chatter/feed-elements/{feedElementId}/capabilities/comments`

_Available in: v32.0_

#### Parameters

*   `feedElementId` (path, string (Id), required) ID of a feed element.
*   `sort` (query, ConnectFeedCommentSortOrder)
    
    Order of comments. Values are:
    
    *   `CreatedDateLatestAsc` — Sorts by most recently created comments in ascending order.
    *   `CreatedDateOldestAsc` — Sorts by oldest comments in ascending order.
    *   `Relevance` — Sorts by most relevant content.
    
    The default value is `CreatedDateLatestAsc`.
    
    Sorting in descending order isn’t supported.
    
    _Available in: v41.0_
    
*   `threadedCommentsCollapsed` (query, boolean)
    
    Specifies whether to return threaded comments in a collapsed style (`true`) or not (`false`). If you don’t specify, the default is `false`.
    
    _Available in: v44.0_
    

#### Responses

*   **200** _Comments Capability_ If a feed element or comment has this capability, the context user can add a comment.
    
    Media type: `application/json`. Schema: `CommentsCapability`.
    

### GET Feed Elements Capability, Comments Items

`GET /chatter/feed-elements/{feedElementId}/capabilities/comments/items`

Operation ID: `getCommentsCapabilityItems`. Tags: Feed Elements Resources.

Used to access pages of comments for a specific feed element, or to add a comment to a specific feed element.

Access comments for a feed element.

If the feed element doesn’t support this capability, the response is 404: Not Found.

_Available in: v32.0_

#### Experience Cloud site path

`/connect/communities/{communityId}/chatter/feed-elements/{feedElementId}/capabilities/comments/items`

_Available in: v32.0_

#### Parameters

*   `feedElementId` (path, string (Id), required) ID of a feed element.
*   `page` (query, string)
    
    The page token to use to view the page. Use the value given in the `nextPageUrl` property of the Comment Page.
    
    _Available in: v32.0_
    
*   `pageSize` (query, integer)
    
    The number of comments per page. The default value is 3.
    
    _Available in: v32.0_
    
*   `sort` (query, ConnectFeedCommentSortOrder)
    
    Order of comments. Values are:
    
    *   `CreatedDateLatestAsc` — Sorts by most recently created comments in ascending order.
    *   `CreatedDateOldestAsc` — Sorts by oldest comments in ascending order.
    *   `Relevance` — Sorts by most relevant content.
    
    The default value is `CreatedDateLatestAsc`.
    
    Sorting in descending order isn’t supported.
    
    _Available in: v44.0_
    
*   `threadedCommentsCollapsed` (query, boolean)
    
    Specifies whether to return threaded comments in a collapsed style (`true`) or not (`false`). If you don’t specify, the default is `false`.
    
    _Available in: v44.0_
    

#### Responses

*   **200** _Comment Page_ A page of comments.
    
    Media type: `application/json`. Schema: `CommentPage`.
    

### POST Feed Elements Capability, Comments Items

`POST /chatter/feed-elements/{feedElementId}/capabilities/comments/items`

Operation ID: `postCommentsCapabilityItems`. Tags: Feed Elements Resources.

Used to access pages of comments for a specific feed element, or to add a comment to a specific feed element.

Add a comment to a feed element.

To upload a binary file to attach to a comment, you must send it in a multipart/form-data request. To send the text of the comment, you can choose to include a JSON or XML rich input body part in the multipart/form-data request. Alternately, you can choose to pass the information in request parameter parts. For information about how to create the multipart/form-data message, see [Inputs and Binary File Upload Examples](/docs/platform/connect-rest-api/guide/intro_input#uploading-binary-files).

If the feed element doesn’t support this capability, the response is 404: Not Found.

_Available in: v32.0_

#### Experience Cloud site path

`/connect/communities/{communityId}/chatter/feed-elements/{feedElementId}/capabilities/comments/items`

_Available in: v32.0_

Returns the same response body as the [GET /chatter/comments/{commentId}](/docs/platform/connect-rest-api/references/connect-rest-api-chatter-feeds#tag/Comments-Resources/operation/getComment) operation. See that operation for the full response schema.

#### Parameters

*   `feedElementId` (path, string (Id), required) ID of a feed element.
*   `text` (query, string)
    
    The comment text.
    
    You must specify `text` in a query parameter or `body` in a request body.
    
    _Available in: v32.0_
    

#### Request body

_Available in: v32.0_

Media type: `multipart/form-data`. Schema: `object`.

*   `feedElementFileUpload` (_string (binary)_)
*   `attachment` (_string_)
    
    Values are:
    
    *   Attachment Input: Existing Content
    *   Attachment Input: New File Upload
    
    **Important**: As of version 32.0, use the `capabilities` property.
    
    _Available in: v24.0–31.0_
    
*   `body` (_MessageBodyInput_)
    
    The body of the comment.
    
    To edit this property in a comment, make a PATCH request to `/chatter/comments/{commentId}`. Editing comments is supported in version 34.0 and later.
    
    Rich text and inline images are supported in comment bodies in version 35.0 and later. Inline images in content bodies must use content document (069) image files previously uploaded to Salesforce. Entity links are supported in version 43.0 and later.
    
    You must specify `text` in a query parameter or `body` in a request body.
    
    _Available in: v23.0_
    
*   `capabilities` (_string_)
    
    Capabilities of the comment, such as a file attachment.
    
    You can edit a comment’s body, but you can’t update a comment’s capabilities.
    
    _Available in: v32.0_
    
*   `threadParentId` (_string_) _Available in: v44.0_

#### Responses

*   **200** _Comment_ A comment.
    
    Media type: `application/json`. Schema: `object`.
    
    Returns the same response body as the [GET /chatter/comments/{commentId}](/docs/platform/connect-rest-api/references/connect-rest-api-chatter-feeds#tag/Comments-Resources/operation/getComment) operation. See that operation for the full response schema.
    

#### Code samples

_Example: Example 1 · HTTP_

```
{
   "body":{
      "messageSegments":[
         {
            "type":"Text",
            "text":"New comment"
         }
      ]
   }
}
```

_Example: Example 2 · HTTP_

```
{ "body" : 
   { 
      "messageSegments" : [ 
         { 
           "type": "mention", 
           "id" : "005D0000001GpHp" 
         },
         { 
           "type": "text", 
           "text" : " Did you see the new plans?" 
         }
      ]
   }
}
```

_Example: Example 3 · HTTP_

```
{ "body" : 
   {
      "messageSegments" : [ 
          {
            "type": "mention",
            "id":"005D0000001LL8YIAW"
          },
          {
            "type" : "Text",
            "text" : " "
         },
          {
            "type": "mention",
            "id":"005D0000001LL8sIAG"
          },
          {
             "type": "text",
             "text":" Did you see the new plans?"
          }
      ]
   }
}
```

_Example: Example 4 · HTTP_

```
{
   "body":{
      "messageSegments":[
         {
            "type":"Text",
            "text":"Please take a look at this file."
         }
      ]
   },
   "capabilities":{
      "content":{
         "contentDocumentId":"069D00000001pyS"
      }
   }
}
```

_Example: Example 5 · HTTP_

```
{
   "body":{
      "messageSegments":[
         {
            "markupType" : "Paragraph",
            "type" : "MarkupBegin"
         },
         {
            "markupType" : "Bold",
            "type" : "MarkupBegin"
         },
         {
             "text" : "First line of text.",
             "type" : "Text"
         },
         {
            "markupType" : "Bold",
            "type" : "MarkupEnd"
         },
         {
            "markupType" : "Paragraph",
            "type" : "MarkupEnd"
         },
         {
            "markupType" : "Paragraph",
            "type" : "MarkupBegin"
         },
         {
            "text" : "&nbsp;",
            "type" : "Text"
         },
         {
            "markupType" : "Paragraph",
            "type" : "MarkupEnd"
         },
         {
            "markupType" : "Paragraph",
            "type" : "MarkupBegin"
         },
         {
            "text" : "Second line of text.",
            "type" : "Text"
         },
         {
            "markupType" : "Paragraph",
            "type" : "MarkupEnd"
         }
      ]
   }
}
```

_Example: Example 6 · HTTP_

```
{
   "body":{
      "messageSegments":[
         {
            "markupType" : "Code",
            "type" : "MarkupBegin"
         },
         {
             "text" : "<script>var i, t = 0;\nfor (i = 0; i < 5; i++) {\n   t +=
                       i;\n}\n</script>",
             "type" : "Text"
         },
         {
            "markupType" : "Code",
            "type" : "MarkupEnd"
         }
      ]
   }
}
```

_Example: Example 7 · HTTP_

```
{
   "body":{
      "messageSegments":[
         {
            "type":"Text",
            "text":"Please take a look at this file."
         },
         {
            "type":"InlineImage",
            "fileId":"069xx00000000QO",
            "altText":"API Spec"
         },
         {
            "type":"Text",
            "text":"And this one."
         },
         {
            "type":"InlineImage",
            "fileId":"069xx00000000QT",
            "altText":"REST API Spec"
         }
      ]
   }
}
```

### GET Feed Elements Capability, Direct Message

`GET /chatter/feed-elements/{feedElementId}/capabilities/direct-message`

Operation ID: `getDirectMessageCapability`. Tags: Feed Elements Resources.

Used to access Direct Message capability for a specific feed item.

Access the direct message capability of a feed element.

If the feed element doesn’t support this capability, the response is 404: Not Found.

_Available in: v39.0_

#### Experience Cloud site path

`/connect/communities/{communityId}/chatter/feed-elements/{feedElementId}/capabilities/direct-message`

_Available in: v39.0_

#### Parameters

*   `feedElementId` (path, string (Id), required) ID of a feed element.

#### Responses

*   **200** _Direct Message Capability_ If a feed element has this capability, it’s a direct message.
    
    Media type: `application/json`. Schema: `DirectMessageCapability`.
    

### PATCH Feed Elements Capability, Direct Message

`PATCH /chatter/feed-elements/{feedElementId}/capabilities/direct-message`

Operation ID: `patchDirectMessageCapability`. Tags: Feed Elements Resources.

Used to access Direct Message capability for a specific feed item.

Update the members of a direct message.

If the feed element doesn’t support this capability, the response is 404: Not Found.

_Available in: v39.0_

#### Experience Cloud site path

`/connect/communities/{communityId}/chatter/feed-elements/{feedElementId}/capabilities/direct-message`

_Available in: v39.0_

#### Parameters

*   `feedElementId` (path, string (Id), required) ID of a feed element.

#### Request body

Create or update the members of a direct message.

Media type: `application/json`. Schema: `DirectMessageCapabilityInput`.

_Example: example\_1_ Payload 1

```
{
  "membersToAdd": [
    "005R0000000I2X4",
    "005R0000000I23Y",
    "005R0000000IUV5"
  ]
}
```

#### Responses

*   **200** _Direct Message Capability_ If a feed element has this capability, it’s a direct message.
    
    Media type: `application/json`. Schema: `DirectMessageCapability`.
    

### GET Feed Elements Capability, Direct Message Members

`GET /chatter/feed-elements/{feedElementId}/capabilities/direct-message/members`

Operation ID: `getDirectMessageMemberCollection`. Tags: Feed Elements Resources.

Returns all the Direct Message Members for given Direct Message.

Get all the members for a direct message.

If the feed element doesn’t support this capability, the response is 404: Not Found.

_Available in: v39.0_

#### Experience Cloud site path

`/connect/communities/{communityId}/chatter/feed-elements/{feedElementId}/capabilities/direct-message/members`

_Available in: v39.0_

#### Parameters

*   `feedElementId` (path, string (Id), required) ID of a feed element.
*   `page` (query, string)
    
    Specifies the page token to use to view a page of information. Page tokens are returned as part of the response class, such as `currentPageToken` or `nextPageToken`. If you pass in `null`, the first page is returned.
    
    _Available in: v40.0_
    

#### Responses

*   **200** _Direct Message Member Collection_ Success
    
    Media type: `application/json`. Schema: `DirectMessageMemberCollection`.
    

### GET Feed Elements Capability, Direct Message Membership Activity

`GET /chatter/feed-elements/{feedElementId}/capabilities/direct-message/membership-activity`

Operation ID: `getDirectMessageMembershipActivityCollection`. Tags: Feed Elements Resources.

Returns all the Direct Message Membersip Activities for given Direct Message.

Get the membership activities for a direct message.

_Available in: v40.0_

#### Experience Cloud site path

`/connect/communities/{communityId}/chatter/feed-elements/{feedElementId}/capabilities/direct-message/membership-activity`

_Available in: v40.0_

#### Parameters

*   `feedElementId` (path, string (Id), required) ID of a feed element.
*   `page` (query, string)
    
    Specifies the page token to use to view a page of information. Page tokens are returned as part of the response class, such as `currentPageToken` or `nextPageToken`. If you pass in `null`, the first page is returned.
    
    _Available in: v40.0_
    
*   `pageSize` (query, integer)
    
    Specifies the number of items per page. Valid values are from 1 through 100. If you pass in `null`, the default size is 25.
    
    _Available in: v40.0_
    

#### Responses

*   **200** _Direct Message Membership Activity Collection_ A collection of direct message member activities.
    
    Media type: `application/json`. Schema: `DirectMessageMembershipActivityCollection`.
    

### GET Feed Elements Capability, Direct Message Original Members

`GET /chatter/feed-elements/{feedElementId}/capabilities/direct-message/original-members`

Operation ID: `getDirectMessageOriginalMemberCollection`. Tags: Feed Elements Resources.

Returns all the Direct Message Original Members for given Direct Message.

Get the original members for a direct message.

_Available in: v40.0_

#### Experience Cloud site path

`/connect/communities/{communityId}/chatter/feed-elements/{feedElementId}/capabilities/direct-message/original-members`

_Available in: v40.0_

#### Parameters

*   `feedElementId` (path, string (Id), required) ID of a feed element.
*   `page` (query, string)
    
    Specifies the page token to use to view a page of information. Page tokens are returned as part of the response class, such as `currentPageToken` or `nextPageToken`. If you pass in `null`, the first page is returned.
    
    _Available in: v40.0_
    

#### Responses

*   **200** _Direct Message Member Collection_ Success
    
    Media type: `application/json`. Schema: `DirectMessageMemberCollection`.
    

### GET Feed Elements Capability, Editability

`GET /chatter/feed-elements/{feedElementId}/capabilities/edit/is-editable-by-me`

Operation ID: `getFeedElementEditCapabilityIsEditableByMe`. Tags: Feed Elements Resources.

Used to determine if the context user can edit the feed element.

Indicates whether the context user can edit the feed element. Feed items are the only type of feed element that can be edited.

If the feed element doesn’t support this capability, the response is 404: Not Found.

_Available in: v34.0_

#### Experience Cloud site path

`/connect/communities/{communityId}/chatter/feed-elements/{feedElementId}/capabilities/edit/is-editable-by-me`

_Available in: v34.0_

#### Parameters

*   `feedElementId` (path, string (Id), required) ID of a feed element.

#### Responses

*   **200** _Feed Entity Is Editable_ Indicates whether the context user can edit a feed element or comment.
    
    Media type: `application/json`. Schema: `FeedEntityIsEditable`.
    

### GET Feed Elements Capability, Mute

`GET /chatter/feed-elements/{feedElementId}/capabilities/mute`

Operation ID: `getMuteCapability`. Tags: Feed Elements Resources.

Used to mute a specific feed element for the context user or retrieve the mute status of a specific feed element for the context user.

Get information about whether a feed element is muted.

If the feed element doesn’t support this capability, the response is 404: Not Found.

_Available in: v35.0_

#### Experience Cloud site path

`/connect/communities/{communityId}/chatter/feed-elements/{feedElementId}/capabilities/mute`

_Available in: v35.0_

#### Parameters

*   `feedElementId` (path, string (Id), required) ID of a feed element.

#### Responses

*   **200** _Mute Capability_ If a feed element has this capability, users can mute it. Muted feed elements are visible in the muted feed, and invisible in all other feeds that respect mute.
    
    Media type: `application/json`. Schema: `MuteCapability`.
    

### PATCH Feed Elements Capability, Mute

`PATCH /chatter/feed-elements/{feedElementId}/capabilities/mute`

Operation ID: `patchMuteCapability`. Tags: Feed Elements Resources.

Used to mute a specific feed element for the context user or retrieve the mute status of a specific feed element for the context user.

Mute or unmute a feed element.

If the feed element doesn’t support this capability, the response is 404: Not Found.

_Available in: v35.0_

#### Experience Cloud site path

`/connect/communities/{communityId}/chatter/feed-elements/{feedElementId}/capabilities/mute`

_Available in: v35.0_

#### Parameters

*   `feedElementId` (path, string (Id), required) ID of a feed element.
*   `isMutedByMe` (query, boolean)
    
    Indicates whether the feed element is muted for the context user. Default value is `false`.
    
    You must specify `isMutedByMe` in a query parameter or a request body.
    
    _Available in: v35.0_
    

#### Request body

Mute or unmute a feed element.

_Available in: v35.0_

Media type: `application/json`. Schema: `MuteCapabilityInput`.

_Example: example\_1_ Payload 1

```
{
  "isMutedByMe": true
}
```

#### Responses

*   **200** _Mute Capability_ If a feed element has this capability, users can mute it. Muted feed elements are visible in the muted feed, and invisible in all other feeds that respect mute.
    
    Media type: `application/json`. Schema: `MuteCapability`.
    

### GET Feed Elements Capability, Poll

`GET /chatter/feed-elements/{feedElementId}/capabilities/poll`

Operation ID: `getPollCapability`. Tags: ⚠️ Deprecated, Feed Elements Resources. **Deprecated**.

Used to access a poll for a specific feed element, or update a poll on a specific feed element.

Access a poll for a feed element or vote on a poll.

To create a poll, use the Feed Elements, Post and Search resource.

If the feed element doesn’t support this capability, the response is 404: Not Found.

_Available in: v32.0_

#### Experience Cloud site path

`/connect/communities/{communityId}/chatter/feed-elements/{feedElementId}/capabilities/poll`

_Available in: v32.0_

#### Parameters

*   `feedElementId` (path, string (Id), required) ID of a feed element.
*   `feedItemId` (path, string, required) The `{feedItemId}` must have the type `PollPost`.

#### Responses

*   **200** _Poll Capability_ If a feed element has this capability, the feed element can include a poll for voting.
    
    Media type: `application/json`. Schema: `PollCapability`.
    

### PATCH Feed Elements Capability, Poll

`PATCH /chatter/feed-elements/{feedElementId}/capabilities/poll`

Operation ID: `patchPollCapability`. Tags: ⚠️ Deprecated, Feed Elements Resources. **Deprecated**.

Used to access a poll for a specific feed element, or update a poll on a specific feed element.

Access a poll for a feed element or vote on a poll.

To create a poll, use the Feed Elements, Post and Search resource.

If the feed element doesn’t support this capability, the response is 404: Not Found.

_Available in: v32.0_

#### Experience Cloud site path

`/connect/communities/{communityId}/chatter/feed-elements/{feedElementId}/capabilities/poll`

_Available in: v32.0_

#### Parameters

*   `feedElementId` (path, string (Id), required) ID of a feed element.
*   `myChoiceId` (query, string, required)
    
    A poll choice ID.
    
    _Available in: v32.0_
    
*   `feedItemId` (path, string, required) The `{feedItemId}` must have the type `PollPost`.

#### Request body (required)

Create or vote on a poll feed element. To create a poll, use the Feed Elements, Post and Search resource. To vote on a poll, use the Feed Elements Capability, Poll resource.

#### XML example for creating a poll

```
<pollCapability>
<pollChoices>
<choice>Monday</choice>
<choice>Tuesday</choice>
</pollChoices>
</pollCapability>
```

_Available in: v32.0_

Media type: `application/json`. Schema: `PollCapabilityInput`.

_Example: example\_1_ Payload 1

Creating a poll

```
{
  "choices": [
    "Monday",
    "Tuesday"
  ]
}
```

_Example: example\_2_ Payload 2

Voting on a poll

```
{
  "myChoiceId": "09ATC00000001lh2AA"
}
```

#### Responses

*   **200** _Poll Capability_ If a feed element has this capability, the feed element can include a poll for voting.
    
    Media type: `application/json`. Schema: `PollCapability`.
    

### GET Feed Elements Capability, Question and Answers

`GET /chatter/feed-elements/{feedElementId}/capabilities/question-and-answers`

Operation ID: `getQuestionAndAnswersCapability`. Tags: Feed Elements Resources.

Used to access question and answers for a specific feed element, or update question and answers on a specific feed element.

Access question and answers for a feed element.

If the feed element doesn’t support this capability, the response is 404: Not Found.

_Available in: v32.0_

#### Experience Cloud site path

`/connect/communities/{communityId}/chatter/feed-elements/{feedElementId}/capabilities/question-and-answers`

_Available in: v32.0_

#### Parameters

*   `feedElementId` (path, string (Id), required) ID of a feed element.

#### Responses

*   **200** _Question and Answers Capability_ If a feed element has this capability, it has a question and comments on the feed element are answers to the question.
    
    Media type: `application/json`. Schema: `QuestionAndAnswersCapability`.
    

### PATCH Feed Elements Capability, Question and Answers

`PATCH /chatter/feed-elements/{feedElementId}/capabilities/question-and-answers`

Operation ID: `patchQuestionAndAnswersCapability`. Tags: Feed Elements Resources.

Used to access question and answers for a specific feed element, or update question and answers on a specific feed element.

Update question and answers on a feed element.

If the feed element doesn’t support this capability, the response is 404: Not Found.

_Available in: v32.0_

#### Experience Cloud site path

`/connect/communities/{communityId}/chatter/feed-elements/{feedElementId}/capabilities/question-and-answers`

_Available in: v32.0_

Returns the same response body as the [GET /chatter/feed-elements/{feedElementId}/capabilities/question-and-answers](/docs/platform/connect-rest-api/references/connect-rest-api-chatter-feeds#tag/Feed-Elements-Resources/operation/getQuestionAndAnswersCapability) operation. See that operation for the full response schema.

#### Parameters

*   `feedElementId` (path, string (Id), required) ID of a feed element.
*   `bestAnswerId` (query, string)
    
    A comment ID to use as a best answer for a question feed element. The best answer comment must already exist on the question feed element.
    
    You must specify `bestAnswerId` in a query parameter or a request body.
    
    _Available in: v32.0_
    

#### Request body

Create or edit a question feed element or set the best answer of the existing question feed element.

_Available in: v32.0_

Media type: `application/json`. Schema: `QuestionAndAnswersCapabilityInput`.

_Example: example\_1_ Payload 1

```
{
  "bestAnswerId": "0D7D00000000lMAKAY"
}
```

#### Responses

[...]
